// MainWindow.cs created with MonoDevelop
// User: sam at 10:31 AM 9/2/2008
//
// To change standard headers go to Edit->Preferences->Coding->Standard Headers
//
using System;
using Gtk;
using Pipi;
using ThePimp;

public partial class MainWindow: Gtk.Window
{    
    public MainWindow (): base (Gtk.WindowType.Toplevel)
    {
        Build ();
        Title += " v" + Libpipi.getVersion();
    }
    
    protected void OnDeleteEvent (object sender, DeleteEventArgs a)
    {
        Application.Quit ();
        a.RetVal = true;
    }

    protected virtual void OnOpenActionActivated (object sender, System.EventArgs e)
    {
        ThePimp.OpenFile open = new ThePimp.OpenFile();
        Pipi.Picture p = open.Load();
        open.Destroy();
        if(p != null)
        {
            Title += " image " + p.Width + "x" + p.Height;
            scrolledwindow1.Add(new PictureView(p));
        }
    }

    protected virtual void OnQuitActionActivated (object sender, System.EventArgs e)
    {
        Application.Quit ();
    }
}
